SolrQuery::setHighlightRegexMaxAnalyzedChars
SolrQuery::setHighlightRegexSlop
SolrQuery
PHP Manual

# SolrQuery::setHighlightRegexPattern

(PECL solr >= 0.9.2)

SolrQuery::setHighlightRegexPattern — Specify the regular expression for fragmenting

### Description

public SolrQuery SolrQuery::setHighlightRegexPattern ( string `$value` )

Specifies the regular expression for fragmenting. This could be used to extract sentences

### Parameters

`value`

  The regular expression for fragmenting. This could be used to extract sentences

### Return Values

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlightRegexMaxAnalyzedChars
SolrQuery::setHighlightRegexSlop
SolrQuery
PHP Manual